## gupnp-av 0.14.4

=== meson_options.txt ===
option('introspection', type : 'boolean', value : true, description : 'Build GObject-Introspection files')
option('vapi', type : 'boolean', value : true, description : 'Build VALA API files (needs introspection=true)')
option('gtk_doc', type : 'boolean', value : false, description : 'Generate the API documentation')

## gupnp-av 0.4-0maemo1+0m5

=== debian/changelog ===
gupnp-av (0.4-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Mon, 08 Jun 2009 15:34:27 +0300

gupnp-av (0.4-0maemo1) unstable; urgency=low

  * New upstream release.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 04 Jun 2009 10:38:33 +0300

gupnp-av (0.3.1-0maemo1) unstable; urgency=low

  * New upstream release.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 26 Feb 2009 14:23:51 +0200

gupnp-av (0.2.1-1maemo2) unstable; urgency=low

  * Maintainer and changelog update.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 06 Nov 2008 08:42:46 +0200

gupnp-av (0.2.1-1maemo1) unstable; urgency=low

  * Initial maemo release based on lenny.
  * Changes:
    + Standards-Version downgraded from 3.7.3 to 3.7.2 because lintian
      doesn't support the newer one.
    + libgupnp-av-1.0-dbg renamed to libgupnp-av-1.0-1-dbg to please lintian.
      (dbg-binary-control-file-section-lacks-strict-versioned-dependency)

 -- Zeeshan Ali <zeeshan.ali@nokia.com>  Sun, 10 Aug 2008 11:14:35 +0300

gupnp-av (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on gupnp 0.12 to ensure new soname

 -- Ross Burton <ross@debian.org>  Tue, 17 Jun 2008 10:27:20 +0100

gupnp-av (0.2-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@debian.org>  Wed, 11 Jun 2008 09:32:44 +0100

=== debian/control ===
Source: gupnp-av
Section: libs
Priority: optional
Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 5), cdbs, libgupnp-1.0-dev (>= 0.12), gtk-doc-tools (>= 0.7)
Standards-Version: 3.7.2

Package: libgupnp-av-1.0-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio/Visual utility library for GUPnP
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.

Package: libgupnp-av-1.0-dev
Section: libdevel
Architecture: any
Depends: libgupnp-av-1.0-1 (= ${binary:Version}), libgupnp-1.0-dev (>= 0.10)
Suggests: libgupnp-av-doc
Description: Audio/Visual utility library for GUPnP (development files)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the development files.

Package: libgupnp-av-1.0-1-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgupnp-av-1.0-1 (= ${binary:Version})
Recommends: libgupnp-1.0-dbg
Description: Audio/Visual utility library for GUPnP (debug symbols)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the debug symbols.

Package: libgupnp-av-doc
Section: doc
Architecture: any
Depends: lynx | www-browser
Recommends: libgupnp-doc
Description: Audio/Visual utility library for GUPnP (documentation)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/tmp/usr
DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

debian/stamp-autogen:
	./autogen.sh --prefix=/usr --disable-debug --enable-gtk-doc
	touch $@

makebuilddir/libgupnp-av-1.0-1:: debian/stamp-autogen

common-binary-predeb-arch:: list-missing

## gupnp-av 0.5.2-0maemo2%2b0m5

=== debian/changelog ===
gupnp-av (0.5.2-0maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Mahawadhi Ratna <ext-ratna.2.mahawadhi@nokia.com>  Tue, 09 Feb 2010 10:53:53 +0200

gupnp-av (0.5.2-0maemo2) unstable; urgency=low

  * Partial fix: NB#153523 - [REGF] Gtalk breaks due to mafw-upnp-source + new
    gupnp changes

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 22 Jan 2010 16:03:03 +0200

gupnp-av (0.5.2-0maemo1) unstable; urgency=low

  * Update to latest upstream.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 07 Dec 2009 16:16:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,6 @@
 	./autogen.sh --prefix=/usr --disable-debug --enable-gtk-doc
 	touch $@
 
-makebuilddir/libgupnp-av-1.0-1:: debian/stamp-autogen
+makebuilddir/libgupnp-av-1.0-2:: debian/stamp-autogen
 
 common-binary-predeb-arch:: list-missing

## gupnp-av 0.5.2-0maemo3%2b0m5

=== debian/changelog ===
gupnp-av (0.5.2-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.5.2-0maemo3+0m5

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Wed, 02 Jun 2010 15:30:42 +0300

gupnp-av (0.5.2-0maemo3) unstable; urgency=low

  * Fixes: NB#154079 - Mafw-dbus-wrapper crashes observed while browsing
    empty folders in UPnP server via media player

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 22 Jan 2010 16:10:18 +0200

## gupnp-av 0.5.2-0maemo3+0m5

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5), cdbs, libgupnp-1.0-dev (>= 0.12), gtk-doc-tools (>= 0.7)
 Standards-Version: 3.7.2
 
-Package: libgupnp-av-1.0-1
+Package: libgupnp-av-1.0-2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -17,7 +17,7 @@
 Package: libgupnp-av-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libgupnp-av-1.0-1 (= ${binary:Version}), libgupnp-1.0-dev (>= 0.10)
+Depends: libgupnp-av-1.0-2 (= ${binary:Version}), libgupnp-1.0-dev (>= 0.10)
 Suggests: libgupnp-av-doc
 Description: Audio/Visual utility library for GUPnP (development files)
  An audio/visual utility library for GUPnP, providing DIDL parser/writer and
@@ -25,11 +25,11 @@
  .
  This package contains the development files.
 
-Package: libgupnp-av-1.0-1-dbg
+Package: libgupnp-av-1.0-2-dbg
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: libgupnp-av-1.0-1 (= ${binary:Version})
+Depends: libgupnp-av-1.0-2 (= ${binary:Version})
 Recommends: libgupnp-1.0-dbg
 Description: Audio/Visual utility library for GUPnP (debug symbols)
  An audio/visual utility library for GUPnP, providing DIDL parser/writer and

## gupnp-av 0.10.1

=== debian/changelog ===
gupnp-av (0.10.1-2) unstable; urgency=low

  * Move gir package to introspection section
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Dec 2011 14:39:30 +0100

gupnp-av (0.10.1-1) experimental; urgency=low

  * Imported Upstream version 0.10.1
  * Fix up mistake when adding new 0.10 symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Oct 2011 18:28:35 +0200

gupnp-av (0.10.0-1) experimental; urgency=low

  * Imported Upstream version 0.10.0
  * Update debian/watch for ftp.gnome.org
  * Switch to debian source format 3.0 (quilt)
    - needed for xz orig tarball
  * Fix lintian warning about bracket expansion in debhelper install file
  * Bump gupnp build dependency to >= 0.16.0
    - Needed to build, even though configure.ac doesn't say so.
  * Update gupnp-av symbols file for added API.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2011 16:59:26 +0200

gupnp-av (0.8.0-2) unstable; urgency=low

  * Drop gir-repository-dev build-dep and bump libsoup2.4-dev
    - libsoup2.4 now builds it's own GIR
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2011 13:08:14 +0200

gupnp-av (0.8.0-1) experimental; urgency=low

  * Make -dev package depend or gir1.2- package.
  * debian/rules: fix dh_girepository hook for gir1.2
  * Imported Upstream version 0.8.0
  * Drop patches imported from upstream.
  * Update symbols file for 0.8 release.
  * Bump debian policy to 3.9.2
  * Drop quilt patch system, no longer needed.
  * Upload to experimental for now to avoid disrupting
    the gobject-introspection transition.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 08 Apr 2011 16:10:53 +0200

gupnp-av (0.6.3-2) unstable; urgency=low

  * Re-add build-dependency on gir-repository-dev
    - We need libsoup2.4-dev (>= 2.32.2-1) for the 1.2 gir of soup,
      which is not yet available in unstable.
    - gir-repository-dev 0.6.5-9 is now gir1.2 and still contains
      the Soup-2.4.gir file, so add a (versioned) build-dependency
      on that for now.
  * Add patches from upstream to fix linking of tests (Closes: #610698)
  * Add quilt patch system.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2011 18:14:35 +0100

gupnp-av (0.6.3-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Imported Upstream version 0.6.3
  * Only watch for stable releases

  [ Martin Pitt ]
  * debian/control: Bump libgirepository1.0-dev build dependency as per
    new upstream configure check.
  * Drop deprecated and unnecesary gir-repository-dev build dependency.
    (LP: #677382)
  * debian/control: Bump gir1.0-gssdp-1.0 build dependency to ensure that we
    have the experimental version (which provides GI ABI 1.2).
  * debian/control: Add versioned libgssdp-1.0-dev and libsoup2.4-dev build
    dependencies, as building our GIR needs those GIRs; we need to ensure GI
    ABI version 1.2.

  [ Andreas Henriksson ]
  * Update to new gir policy (gir 1.2):
    - Rename gir1.0-gupnp-av-1.0 to gir1.2-gupnp-av-1.0
      (and conflict/replace the old name)
    - Bump gobject-introspection build dependency to (>= 0.9.12-4~)
      and libgirepository1.0-dev to (>= 0.9.12)
    - Build-depend on gir1.2-* instead of gir1.0-* (and drop versions)
  * Bump libgupnp-1.0-dev build-dependency to (>= 0.14.1) for 1.2
    typelib.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Dec 2010 11:22:28 +0100

gupnp-av (0.6.1-2) unstable; urgency=low

  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Oct 2010 17:07:05 +0200

gupnp-av (0.6.1-1) experimental; urgency=low

  * Add symbols file for libgupnp-av-1.0-2
  * Imported Upstream version 0.6.1

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 29 Sep 2010 16:44:18 +0200

gupnp-av (0.6.0-1) experimental; urgency=low

  * debian/watch: fix for new gupnp.org site layout.
  * Imported Upstream version 0.6.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Sep 2010 20:47:48 +0200

gupnp-av (0.5.9-1) experimental; urgency=low

  * Imported Upstream version 0.5.9
  * debian/control: Bump to policy version 3.9.1

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 22 Aug 2010 09:55:53 +0200

gupnp-av (0.5.8-1) unstable; urgency=low

  * Imported Upstream version 0.5.8

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 02 Aug 2010 22:20:22 +0200

gupnp-av (0.5.7-1) unstable; urgency=low

  * Imported Upstream version 0.5.7

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Jun 2010 14:41:24 +0200

gupnp-av (0.5.6-1) unstable; urgency=low

  * Imported Upstream version 0.5.6

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 21 Jun 2010 17:31:27 +0200

gupnp-av (0.5.5-2) unstable; urgency=low

  * Call dh_girepository
  * Add missing build-dependency on several gir1.0-* packages.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 26 Apr 2010 13:07:30 +0200

gupnp-av (0.5.5-1) unstable; urgency=low

  * New upstream release (Closes: #577225)
  * Include new GObject Introspection data.
    + ship .gir in -dev package.
    + Add new gir1.0-gupnp-av-1.0 package with typelib.
  * Use multi-line build-dependencies and add gobject-introspection.
  * Add build-dependency on libgirepository1.0-dev and
    gir-repository-dev
  * Add a versioned replaces on libgupnp-av-1.0-dev against gir-repository-dev
    (<= 0.6.5-5), to prevent .gir file collisions.
  * Add Homepage and Vcs-* fields
  * Bump to policy version 3.8.4
  * Add myself to Uploaders (acknowledged by Ross Burton)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Apr 2010 14:50:02 +0200

gupnp-av (0.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #558252)

 -- Ross Burton <ross@debian.org>  Mon, 30 Nov 2009 11:49:24 +0000

gupnp-av (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Thu, 24 Sep 2009 16:24:30 +0100

gupnp-av (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #534615)

 -- Ross Burton <ross@debian.org>  Mon, 13 Jul 2009 08:31:59 +0100



=== debian/control ===
Source: gupnp-av
Section: libs
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 5),
               cdbs,
               libgupnp-1.0-dev (>= 0.18.0),
               libgssdp-1.0-dev (>= 0.8.2),
               libsoup2.4-dev (>= 2.34.0-1~),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gir1.2-gssdp-1.0,
               gir1.2-gupnp-1.0,
               gir1.2-soup-2.4
Standards-Version: 3.9.2
Homepage: http://www.gupnp.org
Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-av.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-av.git

Package: libgupnp-av-1.0-2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio/Visual utility library for GUPnP
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.

Package: gir1.2-gupnp-av-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends}, ${gir:Depends}
Conflicts: gir1.0-gupnp-av-1.0
Replaces: gir1.0-gupnp-av-1.0
Description: GObject introspection data for the GUPnP-AV library
 This package contains introspection data for GUPnP-AV, a UPnP-AV
 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
Homepage: http://live.gnome.org/GObjectIntrospection

Package: libgupnp-av-1.0-dev
Section: libdevel
Architecture: any
Depends: libgupnp-av-1.0-2 (= ${binary:Version}), gir1.2-gupnp-av-1.0, libgupnp-1.0-dev (>= 0.10), ${misc:Depends}
Suggests: libgupnp-av-doc
Replaces: gir-repository-dev (<= 0.6.5-5)
Description: Audio/Visual utility library for GUPnP (development files)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the development files.

Package: libgupnp-av-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgupnp-av-1.0-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libgupnp-1.0-dbg
Description: Audio/Visual utility library for GUPnP (debug symbols)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the debug symbols.

Package: libgupnp-av-doc
Section: doc
Architecture: all
Depends: lynx | www-browser, ${misc:Depends}
Recommends: libgupnp-doc
Description: Audio/Visual utility library for GUPnP (documentation)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

common-binary-predeb-arch:: list-missing

binary-predeb/gir1.2-gupnp-av-1.0::
	dh_girepository -p$(cdbs_curpkg)

## gupnp-av 0.10.2

=== debian/changelog ===
gupnp-av (0.10.2-1) unstable; urgency=low

  * Bump to debhelper compatibility level 9
  * Imported Upstream version 0.10.2

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Apr 2012 21:17:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 9),
                cdbs,
                libgupnp-1.0-dev (>= 0.18.0),
                libgssdp-1.0-dev (>= 0.8.2),

## gupnp-av 0.10.3

=== debian/changelog ===
gupnp-av (0.10.3-1) unstable; urgency=low

  * Imported Upstream version 0.10.3

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Sep 2012 18:53:57 +0200

## gupnp-av 0.11.6

=== debian/changelog ===
gupnp-av (0.11.6-1) experimental; urgency=low

  * Tighten dev -> gir package dependency
  * Imported Upstream version 0.11.6
  * Bump standards version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 Jan 2013 23:23:05 +0100

gupnp-av (0.11.5-1) experimental; urgency=low

  * Imported Upstream version 0.11.5
  * Update symbols file with new added symbols
  * Install XML schema files in library package

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Dec 2012 16:15:56 +0100

gupnp-av (0.11.1-1) experimental; urgency=low

  * Replace gupnp-vala versions before 0.10.5 to avoid file conflicts
  * Imported Upstream version 0.11.1
  * Revert "Add patches from upstream"
    - now included in upstream release.
  * Revert "Bump gobject-introspection build-dep to (>= 1.33.4) ..."
    - upstream release lowered the requirements again in 0.11.1
  * Update symbols file for new symbols in 0.11.1

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Oct 2012 15:27:58 +0200

gupnp-av (0.11.0-1) experimental; urgency=low

  * Imported Upstream version 0.11.0
    - Beware! This version stops leaking gupnp linker flags!
    - If you use symbols from a library, you need to link to it!
    - Also link your modules with "-Wl,-z,defs" in LDFLAGS to
      catch errors at build time!
  * Bump gupnp build-dep to (>= 0.19.0) according to configure.ac
  * Bump gobject-introspection build-dep to 1.33.4 according to configure.ac
  * Add valac (>= 0.14) build dependency to get vapigen
  * Add patches from upstream
    - vapigen-m4-macro.patch
    - introspection-install-dir.patch
  * Install vapi and deps in libgupnp-av-1.0-dev
  * Add new symbols to debian/libgupnp-av-1.0-2.symbols for 0.11.0

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Oct 2012 00:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
-               libgupnp-1.0-dev (>= 0.18.0),
+               libgupnp-1.0-dev (>= 0.19.0),
                libgssdp-1.0-dev (>= 0.8.2),
                libsoup2.4-dev (>= 2.34.0-1~),
+               valac (>= 0.14),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-freedesktop,
@@ -15,7 +16,7 @@
                gir1.2-gssdp-1.0,
                gir1.2-gupnp-1.0,
                gir1.2-soup-2.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-av.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-av.git
@@ -45,9 +46,12 @@
 Package: libgupnp-av-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libgupnp-av-1.0-2 (= ${binary:Version}), gir1.2-gupnp-av-1.0, libgupnp-1.0-dev (>= 0.10), ${misc:Depends}
+Depends: libgupnp-av-1.0-2 (= ${binary:Version}),
+         gir1.2-gupnp-av-1.0 (= ${binary:Version}),
+         libgupnp-1.0-dev (>= 0.10),
+         ${misc:Depends}
 Suggests: libgupnp-av-doc
-Replaces: gir-repository-dev (<= 0.6.5-5)
+Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<< 0.10.5)
 Description: Audio/Visual utility library for GUPnP (development files)
  An audio/visual utility library for GUPnP, providing DIDL parser/writer and
  search criteria parser objects.

## gupnp-av 0.12.2

=== debian/changelog ===
gupnp-av (0.12.2-1) unstable; urgency=low

  * Imported Upstream version 0.12.2
  * Add autotools-dev build-dependency
    - fixes outdated-autotools-helper-file with help from CDBS
  * Don't manually run dh_girepository anymore
    - This is handled by CDBS since 0.4.90

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Jun 2013 14:37:27 +0200

gupnp-av (0.12.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 May 2013 02:18:00 +0200

gupnp-av (0.12.1-1) experimental; urgency=low

  * Make libgupnp-av-1.0-dev break packages it replaces files in
    for policy compliance
  * Imported Upstream version 0.12.1

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 22 Mar 2013 11:57:41 +0100

gupnp-av (0.12.0-1) experimental; urgency=low

  * drop DEB_DH_INSTALL_ARGS usage from debian/rules
  * Imported Upstream version 0.12.0

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 20 Feb 2013 15:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
+               autotools-dev,
                libgupnp-1.0-dev (>= 0.19.0),
                libgssdp-1.0-dev (>= 0.8.2),
                libsoup2.4-dev (>= 2.34.0-1~),
@@ -52,6 +53,7 @@
          ${misc:Depends}
 Suggests: libgupnp-av-doc
 Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<< 0.10.5)
+Breaks: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<< 0.10.5)
 Description: Audio/Visual utility library for GUPnP (development files)
  An audio/visual utility library for GUPnP, providing DIDL parser/writer and
  search criteria parser objects.

## gupnp-av 0.12.3

=== debian/changelog ===
gupnp-av (0.12.3-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control:
    - Bump minimum valac to 0.20 per configure.ac
    - Drop unnecessary gir packages from Build-Depends

  [ Andreas Henriksson ]
  * Imported Upstream version 0.12.3
  * Update debian/libgupnp-av-1.0-2.symbols with added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 21:12:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,9 @@
                libgupnp-1.0-dev (>= 0.19.0),
                libgssdp-1.0-dev (>= 0.8.2),
                libsoup2.4-dev (>= 2.34.0-1~),
-               valac (>= 0.14),
+               valac (>= 0.20),
                gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-freedesktop,
-               gir1.2-glib-2.0,
-               gir1.2-gssdp-1.0,
-               gir1.2-gupnp-1.0,
-               gir1.2-soup-2.4
+               libgirepository1.0-dev (>= 0.9.12)
 Standards-Version: 3.9.4
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-av.git

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_MAKESHLIBS_ARGS_ALL := -V

common-binary-predeb-arch:: list-missing

## gupnp-av 0.12.5

=== debian/changelog ===
gupnp-av (0.12.5-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el
      by getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Tue, 18 Feb 2014 14:15:26 -0500

gupnp-av (0.12.5-1) unstable; urgency=medium

  * Imported Upstream version 0.12.5

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Feb 2014 23:38:12 +0100

gupnp-av (0.12.4-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el
      by getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Tue, 21 Jan 2014 14:46:54 -0500

gupnp-av (0.12.4-1) unstable; urgency=medium

  * Make dh_makeshlibs fail on symbols mismatch
  * Imported Upstream version 0.12.4
  * Update symbols file with several added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 Jan 2014 20:17:53 +0100

gupnp-av (0.12.3-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Tue, 14 Jan 2014 14:52:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gupnp-av
 Section: libs
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
-               autotools-dev,
+               dh-autoreconf,
                libgupnp-1.0-dev (>= 0.19.0),
                libgssdp-1.0-dev (>= 0.8.2),
                libsoup2.4-dev (>= 2.34.0-1~),

=== debian/rules ===
#! /usr/bin/make -f 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -c4

common-binary-predeb-arch:: list-missing

## gupnp-av 0.12.6

=== debian/changelog ===
gupnp-av (0.12.6-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Imported Upstream version 0.12.6
  * Bump Standards-Version to 3.9.5

  [ Logan Rosen ]
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (Closes: #735394)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 23 Jun 2014 18:11:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gupnp-av
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ross Burton <ross@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 9),
                cdbs,
@@ -13,7 +12,7 @@
                valac (>= 0.20),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gupnp.org
 Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-av.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-av.git

## gupnp-av 0.12.7

=== debian/changelog ===
gupnp-av (0.12.7-1) unstable; urgency=medium

  * Imported Upstream version 0.12.6
  * Bump build-dependency on valac to >= 0.22 according to configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 30 Apr 2015 10:12:30 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgupnp-1.0-dev (>= 0.19.0),
                libgssdp-1.0-dev (>= 0.8.2),
                libsoup2.4-dev (>= 2.34.0-1~),
-               valac (>= 0.20),
+               valac (>= 0.22),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
 Standards-Version: 3.9.5

## gupnp-av 0.12.8

=== debian/changelog ===
gupnp-av (0.12.8-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * install gupnp-av-1.0.pc in a multiarch location (Closes: #837610)

  [ Andreas Henriksson ]
  * Convert from cdbs to dh
  * Bump to debhelper compat 10 (automatic dh-autoreconf)
  * Bump Standards-Version to 3.9.8
  * Drop libgupnp-av-1.0-dbg in favor of automatic dbgsym
  * Add Build-Depends-Package field to symbols file
  * Drop *.la and use --fail-missing

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Sep 2016 10:42:37 +0200

gupnp-av (0.12.8-2) unstable; urgency=medium

  * debian/copyright: Updated and switched to DEP5 format
  * Hand over maintenance to Debian GNOME Team
    - build-depend on gnome-pkg-tools
    - include uploaders.mk and gnome-get-source.mk in debian/rules
    - copy debian/control to debian/control.in
    - set Maintainer to Debian GNOME Team and Uploaders to autogenerated.
    - update Vcs-* fields for move from collab-maint to pkg-gnome
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 09 Mar 2016 17:00:13 +0100

gupnp-av (0.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop Ross Burton from Maintainer on his request.
  * Update libgupnp-av-1.0-2.symbols with a new addition.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Feb 2016 20:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: gupnp-av
 Section: libs
 Priority: optional
-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
-Build-Depends: debhelper (>= 9),
-               cdbs,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
+               gnome-pkg-tools,
                libgupnp-1.0-dev (>= 0.19.0),
                libgssdp-1.0-dev (>= 0.8.2),
                libsoup2.4-dev (>= 2.34.0-1~),
                valac (>= 0.22),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.gupnp.org
-Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-av.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-av.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnome/gupnp-av.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gupnp-av.git/
 
 Package: libgupnp-av-1.0-2
 Section: libs
@@ -55,18 +58,6 @@
  .
  This package contains the development files.
 
-Package: libgupnp-av-1.0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libgupnp-av-1.0-2 (= ${binary:Version}), ${misc:Depends}
-Recommends: libgupnp-1.0-dbg
-Description: Audio/Visual utility library for GUPnP (debug symbols)
- An audio/visual utility library for GUPnP, providing DIDL parser/writer and
- search criteria parser objects.
- .
- This package contains the debug symbols.
-
 Package: libgupnp-av-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f 

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome,gir

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_strip:
	dh_strip --dbgsym-migration 'libgupnp-av-1.0-dbg (<< 0.12.8-3~)'

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

## gupnp-av 0.12.10

=== debian/changelog ===
gupnp-av (0.12.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop gssdp build-dependency following upstream change.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Oct 2016 21:21:39 +0200

gupnp-av (0.12.9-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - drop gupnp, no longer needed.
    - add glib >= 2.34, previously implicitly pulled in now versioned.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Oct 2016 15:32:14 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
-               libgupnp-1.0-dev (>= 0.19.0),
-               libgssdp-1.0-dev (>= 0.8.2),
+               libglib2.0-dev (>= 2.34),
                libsoup2.4-dev (>= 2.34.0-1~),
                valac (>= 0.22),
                gobject-introspection (>= 0.9.12-4~),
@@ -47,7 +46,6 @@
 Architecture: any
 Depends: libgupnp-av-1.0-2 (= ${binary:Version}),
          gir1.2-gupnp-av-1.0 (= ${binary:Version}),
-         libgupnp-1.0-dev (>= 0.10),
          ${misc:Depends}
 Suggests: libgupnp-av-doc
 Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<< 0.10.5)

## gupnp-av 0.12.11

=== debian/changelog ===
gupnp-av (0.12.11-3) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control{,in}: Add missing build-dependency gtk-doc-tools.
    (Closes: #978832)

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 13
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/control.in: Add versioned Provides for gir1.2-gupnpav-1.0
  * debian/control.in: Drop ancient Conflicts/Breaks/Replaces
  * debian/rules: Simplify a bit

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Sep 2021 07:24:19 -0400

gupnp-av (0.12.11-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0
  * Add debian/docs to install NEWS

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 26 Dec 2018 14:09:48 -0500

gupnp-av (0.12.11-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libglib2.0-dev to 2.38
  * Bump Standards-Version to 4.2.1
  * Bump debhelper compat to 11
  * Don't have libgupnp-av-doc depend on lynx | www-browser
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 07:20:56 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gupnp-av
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: 
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gtk-doc-tools,
               libglib2.0-dev (>= 2.38),
               libsoup2.4-dev (>= 2.34.0-1~),
               valac (>= 0.22),
               libgirepository1.0-dev (>= 0.9.12)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-av
Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-av.git
Homepage: http://www.gupnp.org

Package: libgupnp-av-1.0-2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio/Visual utility library for GUPnP
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.

Package: gir1.2-gupnp-av-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends}, ${gir:Depends}
Provides: gir1.2-gupnpav-1.0 (= ${binary:Version})
Description: GObject introspection data for the GUPnP-AV library
 This package contains introspection data for GUPnP-AV, a UPnP-AV
 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
Homepage: http://live.gnome.org/GObjectIntrospection

Package: libgupnp-av-1.0-dev
Section: libdevel
Architecture: any
Depends: libgupnp-av-1.0-2 (= ${binary:Version}),
         gir1.2-gupnp-av-1.0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libgupnp-av-doc
Description: Audio/Visual utility library for GUPnP (development files)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the development files.

Package: libgupnp-av-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libgupnp-doc
Description: Audio/Visual utility library for GUPnP (documentation)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete

## gupnp-av 0.14.0

=== debian/changelog ===
gupnp-av (0.14.0-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 16:02:40 -0500

gupnp-av (0.14.0-2) experimental; urgency=medium

  * Add missing Breaks/Replaces (Closes: #1004735)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 08:05:40 -0500

gupnp-av (0.14.0-1) experimental; urgency=medium

  * New upstream release
  * Rename libgupnp-av-1.0-2 to libgupnp-av-1.0-3 to match soname bump
  * debian/libgupnp-av-1.0-3.symbols: Update
  * Build with meson
  * debian/control.in: Bump minimum glib to 2.58
  * debian/control.in: Have libgupnp-av-2.0-dev Depend on libglib2.0-dev
    & libxml2-dev to match its pkgconfig file

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Oct 2021 16:19:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools,
-               libglib2.0-dev (>= 2.38),
+               libgirepository1.0-dev (>= 0.9.12),
+               libglib2.0-dev (>= 2.58),
                libsoup2.4-dev (>= 2.34.0-1~),
-               valac (>= 0.22),
-               libgirepository1.0-dev (>= 0.9.12)
+               meson,
+               valac (>= 0.22)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-av
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-av.git
 Homepage: http://www.gupnp.org
 
-Package: libgupnp-av-1.0-2
+Package: libgupnp-av-1.0-3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libgupnp-av-1.0-2 (<< 0.14)
+Replaces: libgupnp-av-1.0-2 (<< 0.14)
 Description: Audio/Visual utility library for GUPnP
  An audio/visual utility library for GUPnP, providing DIDL parser/writer and
  search criteria parser objects.
@@ -43,8 +46,10 @@
 Package: libgupnp-av-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libgupnp-av-1.0-2 (= ${binary:Version}),
+Depends: libgupnp-av-1.0-3 (= ${binary:Version}),
          gir1.2-gupnp-av-1.0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.58),
+         libxml2-dev,
          ${misc:Depends}
 Suggests: libgupnp-av-doc
 Description: Audio/Visual utility library for GUPnP (development files)

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,6 @@
 %:
 	dh $@
 
-execute_before_dh_install:
-	find debian/tmp -name '*.la' -print -delete
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-Dgtk_doc=true

## gupnp-av 0.14.1

=== debian/changelog ===
gupnp-av (0.14.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:18:07 +0000

gupnp-av (0.14.1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:58:17 +0000

gupnp-av (0.14.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Apply multi-arch hints
  * Update standards version to 4.6.2, no changes needed

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh-sequence-gnome
  * Drop unused Build-Depends: libsoup2.4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 19:24:10 -0500

gupnp-av (0.14.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgupnp-av-1.0-3.symbols: Add new symbol
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 16:37:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gupnp-av
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gtk-doc-tools,
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.58),
-               libsoup2.4-dev (>= 2.34.0-1~),
+               libxml2-dev,
                meson,
                valac (>= 0.22)
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-av
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-av.git
 Homepage: http://www.gupnp.org
@@ -29,6 +26,7 @@
 Description: Audio/Visual utility library for GUPnP
  An audio/visual utility library for GUPnP, providing DIDL parser/writer and
  search criteria parser objects.
+Multi-Arch: same
 
 Package: gir1.2-gupnp-av-1.0
 Section: introspection
@@ -68,3 +66,4 @@
  search criteria parser objects.
  .
  This package contains the documentation.
+Multi-Arch: foreign

## gupnp-av 0.14.3

=== debian/changelog ===
gupnp-av (0.14.3-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 17:55:58 -0500

gupnp-av (0.14.1-3) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with latest libxml2 (Closes: #1073318)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jun 2024 16:58:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gupnp-av
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -13,7 +12,7 @@
                meson,
                valac (>= 0.22)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-av
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-av.git
 Homepage: http://www.gupnp.org

## gupnp-av 0.14.4

=== debian/changelog ===
gupnp-av (0.14.4-3) unstable; urgency=medium

  * Mark -dev package as Multi-Arch: same

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Feb 2026 19:25:52 -0500

gupnp-av (0.14.4-2) unstable; urgency=medium

  * Mark gir package as Multi-Arch: same
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 11:26:57 -0500

gupnp-av (0.14.4-1) unstable; urgency=medium

  * New upstream release
  * Build docs with gi-docgen instead of gtk-doc-tools
  * Register API documentation with doc-base
  * Support the nodoc build profile
  * Update gir handling
  * debian/copyright: remove obsolete FSF address
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 16:21:01 -0400

=== debian/control ===
Source: gupnp-av
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: libs
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-gobject-2.0-dev,
               gir1.2-libxml2-2.0-dev,
               libglib2.0-dev,
               libxml2-dev,
               meson,
               valac
Build-Depends-Indep: gi-docgen <!nodoc>
Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-av
Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-av.git
Homepage: http://www.gupnp.org

Package: libgupnp-av-1.0-3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Audio/Visual utility library for GUPnP
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.

Package: gir1.2-gupnp-av-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for the GUPnP-AV library
 This package contains introspection data for GUPnP-AV, a UPnP-AV
 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libgupnp-av-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libglib2.0-dev,
         libgupnp-av-1.0-3 (= ${binary:Version}),
         libxml2-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libgupnp-av-doc
Description: Audio/Visual utility library for GUPnP (development files)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the development files.

Package: libgupnp-av-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: libgupnp-doc
Description: Audio/Visual utility library for GUPnP (documentation)
 An audio/visual utility library for GUPnP, providing DIDL parser/writer and
 search criteria parser objects.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dgtk_doc=true
+		-Dgtk_doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)
